VERSION 5.00
Begin VB.Form MIDISetupForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "MIDI Setup"
   ClientHeight    =   1665
   ClientLeft      =   1575
   ClientTop       =   4350
   ClientWidth     =   9300
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1665
   ScaleWidth      =   9300
   Begin VB.CommandButton cmdcancel 
      Caption         =   "cancel"
      Height          =   495
      Left            =   8280
      TabIndex        =   5
      Top             =   1080
      Width           =   855
   End
   Begin VB.CommandButton cmdok 
      Caption         =   "ok"
      Height          =   495
      Left            =   8280
      TabIndex        =   4
      Top             =   360
      Width           =   855
   End
   Begin VB.ComboBox ComboMidiOut 
      Appearance      =   0  'Flat
      Height          =   315
      Left            =   4560
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   600
      Width           =   3345
   End
   Begin VB.ComboBox ComboMidiIn 
      Appearance      =   0  'Flat
      Height          =   315
      Left            =   120
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   540
      Width           =   3825
   End
   Begin VB.Label Label2 
      Caption         =   "MIDI Out Device"
      Height          =   255
      Left            =   4560
      TabIndex        =   3
      Top             =   240
      Width           =   2025
   End
   Begin VB.Label Label1 
      Caption         =   "MIDI In Device"
      Height          =   255
      Left            =   150
      TabIndex        =   2
      Top             =   240
      Width           =   2115
   End
End
Attribute VB_Name = "MIDISetupForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Sub CmdCancel_Click()
    Unload MIDISetupForm
End Sub

Private Sub CmdOk_Click()
    MIDIInOpen
    MIDIOutOpen
    MIDISetupForm.Hide
End Sub

Private Sub Form_Load()
    Dim i As Integer
   
    ' Center the form on the screen
    Move (Screen.Width - Width) \ 2, (Screen.Height - Height) \ 2

    '
    ' Fill output device combo box
    '
    For i = -1 To frmDsamp.MIDIOutput1.DeviceCount - 1
        frmDsamp.MIDIOutput1.DeviceID = i
        ComboMidiOut.AddItem frmDsamp.MIDIOutput1.ProductName
    Next
    '
    ' Select first in list
    '
    ComboMidiOut.ListIndex = 0
    frmDsamp.MIDIOutput1.DeviceID = -1
    MIDIOutOpen

    '
    ' Fill input device combo box
    '
    For i = 0 To frmDsamp.MIDIInput1.DeviceCount - 1
        frmDsamp.MIDIInput1.DeviceID = i
        ComboMidiIn.AddItem frmDsamp.MIDIInput1.ProductName
    Next
    '
    ' Select first in list
    '
    ComboMidiIn.ListIndex = 0
    frmDsamp.MIDIInput1.DeviceID = 0
    MIDIInOpen

End Sub

